"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DOMNode {
    constructor(nodeName) {
        this.nodeName = nodeName;
        this.disabledRules = new Set();
    }
    disableRule(ruleId) {
        this.disabledRules.add(ruleId);
    }
    enableRule(ruleId) {
        this.disabledRules.delete(ruleId);
    }
    ruleEnabled(ruleId) {
        return !this.disabledRules.has(ruleId);
    }
}
exports.DOMNode = DOMNode;
